#ifndef _UART_H_
#define _UART_H_
#include <REGX52.H>  // STC89C52RC的寄存器定义
#define BAUDRATE 9600  // 波特率
#define ARRAY_SIZE 64  // 数组大小
void Serial_Init();
void Uart_send_String();
void UART_SendByte(unsigned char Byte);
void UART_sentString(char *str);
void Delay(unsigned int xms);
unsigned int  WIFI_CheckAck(char* src, char* dest, int timeout);
void CONNECT_TO_TCP(unsigned char* id,unsigned char *password);
void CONNECT_TO_UDP(unsigned char* id,unsigned char *password);
void CONNECT_TO_MQTT(unsigned char* id,unsigned char *password);
void CONNECT_TX_Control(void);
#endif